OVH Community, votre nouvel espace communautaire.

Mise à jour de PhpMyAdmin sur gentoo release 2


Jaunalgi
28/06/2011, 20h28
Génial, super tuto.
J'ai préféré faire un backup du dossier phpMyAdmin au cas où et le remplacer par la nouvelle version. Sacré changement en terme de design d'ailleurs!

jon
26/05/2010, 13h04
Je n'ai pour ma part plus accès au https...

Une idée ?

dfk
08/05/2010, 07h45
Hello,

Merci pour ce super article, la nouvelle version fonctionne bien, toutefois je ne peux pas lancer la commande SQL, j'obtient :

#1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '/home/ovh/www/phpMyAdmin-3.3.2-all-languages/scripts/create_tables.sql' at line 1

Voici ce que je fait, je clique sur l'icône SQL dans PhpMyAdmin pour lancer une commande SQL, puis je colle le texte :

/home/ovh/www/phpMyAdmin-3.3.2-all-languages/scripts/create_tables.sql

J'ai contrôlé le chemin ça joue, le fichier .sql est bien là...

Quelqu'un à une idée?

Merci beaucoup de votre aide,

Edit : J'ai copié le fichier le create_tables.sql localement et je l'ai importé, il m'a maintenant créer une nouvelle DB phpmyadmin, mais les erreurs sont toujours affichées sur la page d'acceuil de phpmyadmin...

rudddy
26/04/2010, 16h21
merci je viens de faire la mise à jour

réglé en 10 min c'est nickel et sans besoin de modifier les tables comme dans la dernière étape

merci bcp

code_grabber
13/04/2010, 15h22
peut être lire le post jusqu'au bout...

apparemment ca vient du dernier point, supprime les tables concernées et recommence.

matthieugoua
01/04/2010, 09h25
J'ai bien suivi ton tuto, j'ai bien importé le fichier .sql pour eviter les erreurs, j'ai décommentez les lignes correpondante au pma dans le config.inc

hors j'ai tjs des erreurs

$cfg['Servers'][$i]['pmadb'] ... OK
$cfg['Servers'][$i]['relation'] ... en erreur [ Documentation ]
Fonctions relationnelles: désactivé

$cfg['Servers'][$i]['table_info'] ... en erreur [ Documentation ]
Affichage infobulle: désactivé

$cfg['Servers'][$i]['table_coords'] ... en erreur [ Documentation ]
$cfg['Servers'][$i]['pdf_pages'] ... en erreur [ Documentation ]
Génération de schémas en PDF: désactivé

$cfg['Servers'][$i]['column_info'] ... en erreur [ Documentation ]
Commentaires de colonnes: désactivé
Transformation: désactivé

$cfg['Servers'][$i]['bookmarktable'] ... en erreur [ Documentation ]
Requêtes en signets: désactivé

$cfg['Servers'][$i]['history'] ... en erreur [ Documentation ]
Historique SQL: désactivé

$cfg['Servers'][$i]['designer_coords'] ... en erreur [ Documentation ]
Concepteur: désactivé

$cfg['Servers'][$i]['tracking'] ... en erreur [ Documentation ]
Suivi: désactivé

Si quelqu'un as une idée

uniterre
28/02/2010, 09h04
Bonjour,

Après un plantage mysql, en voulant lancer PHPMyAdmin, j'avais comme message : #2002 - Le serveur ne répond pas. (ou l'interface de connexion ("socket") vers le serveur MySQL local n'est pas correctement configurée)

Après avoir perdu pas mal de temps a tenter de comprendre et corriger le problème, j'ai décidé d'installer la dernière version de PhpMyAdmin.

Voici la procédure si vous avez sur votre serveur gentoo OVH release 2 la version de initiale de PhpMyAdmin, à savoir la 2.11.5.
(Dans le répertoire /home/ovh/www/, vous devez avoir :
/home/ovh/www/phpMyAdmin-2.11.5-all-languages-utf-8-only/)

1) Téléchargez dans le répertoire /home/ovh/www/ la dernière version de phpMyAdmin à partir de http://www.phpmyadmin.net/home_page/downloads.php. Au jour d'aujourd'hui, c'est la version 3.2.5.

Via ssh, cela donne :
Code:
wget http://prdownloads.sourceforge.net/phpmyadmin/phpMyAdmin-3.3.8-all-languages.tar.gz
2) Décompressez ensuite le fichier :
Code:
tar xzvf phpMyAdmin-3.2.5-all-languages.tar.gz
3) Allez dans le répertoire phpMyAdmin-3.2.5-all-languages puis
renommez config.sample.inc.php en config.inc.php

4) Puis, dans le fichier config.inc.php, modifiez :
$cfg['blowfish_secret'] = 'votrevaleur'; en mettant le code secret de votre choix


5) Retourner dans le répertoire /home/ovh/www/ :
cd /home/ovh/www/

6) Donnez les droits OVH au répertoire phpMyAdmin-3.2.5-all-languages :
Code:
chown -R ovh:ovh phpMyAdmin-3.2.5-all-languages
7) Mettez à jour le lien symbolique phpMyAdmin :
Code:
rm phpMyAdmin
ln -s /home/ovh/www/phpMyAdmin-3.2.5-all-languages phpMyAdmin
8) Lancez phpMyAdmin (https://[ip-de-votre-serveur]/phpMyAdmin/) ! Ca marche !

Mais, pour évitez les messages d'erreur sur la page d'accueil de phpMyAdmin et profitez pleinement des avantages de la dernière version (signets, commentaires, historique SQL, génération de PDF, transformation des contenus de champ, etc.), vous devez créer un ensemble de tables spéciales :

9) Récupérez les requêtes SQL sur /home/ovh/www/phpMyAdmin-3.2.5-all-languages/scripts/create_tables.sql et les exécuter dans une fenetre sql